VERSION 5.00
Object = "{3D35C49E-E22C-4AF8-ABD6-F45ADFF5599C}#1.0#0"; "RegObj.dll"
Begin VB.Form frmRegObjTest 
   Caption         =   "Registry Object Test Application"
   ClientHeight    =   3252
   ClientLeft      =   48
   ClientTop       =   276
   ClientWidth     =   5484
   LinkTopic       =   "Form1"
   ScaleHeight     =   3252
   ScaleWidth      =   5484
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   372
      Left            =   4200
      TabIndex        =   13
      Top             =   1680
      Width           =   1092
   End
   Begin VB.CommandButton cmdSet 
      Caption         =   "&Set Value"
      Height          =   372
      Left            =   4200
      TabIndex        =   7
      Top             =   1200
      Width           =   1092
   End
   Begin VB.CommandButton cmdQuery 
      Caption         =   "&Query Value"
      Height          =   372
      Left            =   4200
      TabIndex        =   6
      Top             =   720
      Width           =   1092
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "&Open Key"
      Height          =   372
      Left            =   4200
      TabIndex        =   5
      Top             =   240
      Width           =   1092
   End
   Begin VB.OptionButton optNumerical 
      Caption         =   "Numerical value"
      Height          =   252
      Left            =   840
      TabIndex        =   4
      Top             =   2400
      Width           =   1812
   End
   Begin VB.OptionButton optString 
      Caption         =   "String value"
      Height          =   252
      Left            =   840
      TabIndex        =   3
      Top             =   2160
      Width           =   1452
   End
   Begin VB.TextBox txtValueName 
      Height          =   288
      Left            =   840
      TabIndex        =   2
      Top             =   1800
      Width           =   3012
   End
   Begin VB.TextBox txtKey 
      Height          =   288
      Left            =   840
      TabIndex        =   1
      Top             =   960
      Width           =   3012
   End
   Begin VB.ComboBox cmbHive 
      Height          =   288
      ItemData        =   "RegObjTest.frx":0000
      Left            =   840
      List            =   "RegObjTest.frx":000D
      Style           =   2  'Dropdown List
      TabIndex        =   0
      ToolTipText     =   "Registry hive selection"
      Top             =   480
      Width           =   3012
   End
   Begin VB.Frame frmKeyInfo 
      Caption         =   "Key Information"
      Height          =   1332
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   3852
      Begin VB.Label lblKey 
         Caption         =   "Key:"
         Height          =   252
         Left            =   120
         TabIndex        =   11
         Top             =   840
         Width           =   612
      End
      Begin VB.Label lblHive 
         Caption         =   "Hive:"
         Height          =   252
         Left            =   120
         TabIndex        =   10
         Top             =   360
         Width           =   612
      End
   End
   Begin VB.Frame frmValueInfo 
      Caption         =   "Value Information"
      Height          =   1572
      Left            =   120
      TabIndex        =   9
      Top             =   1560
      Width           =   3852
      Begin VB.TextBox txtValue 
         Height          =   288
         Left            =   720
         TabIndex        =   14
         Top             =   1200
         Width           =   3012
      End
      Begin VB.Label lblValue 
         Caption         =   "Value:"
         Height          =   252
         Left            =   120
         TabIndex        =   15
         Top             =   1200
         Width           =   492
      End
      Begin VB.Label lblValueName 
         Caption         =   "Name:"
         Height          =   252
         Left            =   120
         TabIndex        =   12
         Top             =   240
         Width           =   612
      End
   End
   Begin REGOBJLibCtl.RegistryObject ocxRegistryObject 
      Left            =   3720
      OleObjectBlob   =   "RegObjTest.frx":004B
      Top             =   2520
   End
End
Attribute VB_Name = "frmRegObjTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdExit_Click()
    'Quit the application
    End
End Sub

Private Sub cmdOpen_Click()
    'Open the key using selected hive
    Dim iHive As Integer
    Dim strKey As String
    
    'Pull the hive value
    iHive = cmbHive.ItemData(cmbHive.ListIndex)
    
    'Pull the key text value
    strKey = txtKey.Text
    
    'Try to open the key
    ocxRegistryObject.OpenKey iHive, strKey
    
End Sub

Private Sub cmdQuery_Click()
    'Query requested value
    Dim strValueName As String
    Dim varValue As Variant
    
    'Retrieve the value's name
    strValueName = txtValueName.Text
    
    'Request the value
    ocxRegistryObject.QueryValue strValueName, varValue
    
    'Store returned value in the textbox
    txtValue.Text = varValue
    
    'Set the value data type (numerical or string)
    If VarType(varValue) = vbLong Then
        optNumerical.Value = True
    Else
        optString.Value = True
    End If
End Sub

Private Sub cmdSet_Click()
    'Set the key/value pair
    Dim strValueName As String
    Dim varValue As Variant
    
    'Pull the value name and data
    strValueName = txtValueName.Text
    varValue = txtValue.Text
    
    'Set the value. Note you have to tell the control
    'what type of data it is you're trying to write,
    'hence the CLng() and CStr() functions. They force
    'the variant to either VT_I4 (Integer) or VT_BSTR
    '(String), which the control uses to set the
    'appropriate data type when writing the value
    'itself to the Registry. Only Integer and String
    'values are supported (no blobs or hex values...).
    If optNumerical.Value = True Then
        'Integer data...
        ocxRegistryObject.SetValue strValueName, CLng(varValue)
    Else
        'String data...
        ocxRegistryObject.SetValue strValueName, CStr(varValue)
    End If
End Sub

Private Sub Form_Load()
    'Start with HKEY_CURRENT_USER
    cmbHive.Text = cmbHive.List(1)
    
    'Start with string data
    optString.Value = True
End Sub

Private Sub txtValue_KeyPress(KeyAscii As Integer)
    'Simulates the ES_NUMERICAL edit control
    'style.  The user can only enter numerical
    'values (0-9) if the numerical option is set.
    If optNumerical.Value = True Then
        If Not IsNumeric(Chr(KeyAscii)) Then
            KeyAscii = 0
        End If
    End If
End Sub
